Bug 2899 - registry/regfio.c: hdr type incompatible with "const char *"
registry/regfio.c: hdr type incompatible with "const char *"
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 minor
: none
Assigned To: James Peach (outdated mail address)
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 07:39 UTC by Jason Mader
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-07-19 07:39:43 UTC
cc-1164 cc: WARNING File = registry/regfio.c, Line = 107
  Argument of type "unsigned char *" is incompatible with parameter of type
          "const char *".

                if ( strncmp( hdr, "hbin", HBIN_HDR_SIZE ) != 0 ) {
                              ^
Comment 1 Jason Mader 2005-07-19 07:42:52 UTC
I think hdr should be "char *"; both strncmp() and IVAL() expect a char * as their argument.
Comment 2 Gerald (Jerry) Carter 2005-07-19 07:49:04 UTC
yup.  I agree.  Fixed.
Comment 3 James Peach (outdated mail address) 2005-07-30 22:46:11 UTC
Reassign IRIX bugs to me.
Comment 4 Jason Mader 2005-08-12 16:34:30 UTC
Jerry Carter has already fixed this; it should have been closed long ago.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:19:01 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.